Restore [velero.io/v1]
- Description
- Restore is a Velero resource that represents the application of resources from a Velero backup to a target Kubernetes cluster.
- Type
object
Specification
.spec
- Description
- RestoreSpec defines the specification for a Velero restore.
- Type
object
.spec.excludedNamespaces
- Description
- ExcludedNamespaces contains a list of namespaces that are not included in the restore.
- Type
array
.spec.excludedNamespaces[]
- Type
string
.spec.excludedResources
- Description
- ExcludedResources is a slice of resource names that are not included in the restore.
- Type
array
.spec.excludedResources[]
- Type
string
.spec.hooks
- Description
- Hooks represent custom behaviors that should be executed during or post restore.
- Type
object
.spec.hooks.resources
- Type
array
.spec.hooks.resources[]
- Description
- RestoreResourceHookSpec defines one or more RestoreResrouceHooks that should be executed based on the rules defined for namespaces, resources, and label selector.
- Type
object- Required
name
.spec.hooks.resources[].excludedNamespaces
- Description
- ExcludedNamespaces specifies the namespaces to which this hook spec does not apply.
- Type
array
.spec.hooks.resources[].excludedNamespaces[]
- Type
string
.spec.hooks.resources[].excludedResources
- Description
- ExcludedResources specifies the resources to which this hook spec does not apply.
- Type
array
.spec.hooks.resources[].excludedResources[]
- Type
string
.spec.hooks.resources[].includedNamespaces
- Description
- IncludedNamespaces specifies the namespaces to which this hook spec applies. If empty, it applies to all namespaces.
- Type
array
.spec.hooks.resources[].includedNamespaces[]
- Type
string
.spec.hooks.resources[].includedResources
- Description
- IncludedResources specifies the resources to which this hook spec applies. If empty, it applies to all resources.
- Type
array
.spec.hooks.resources[].includedResources[]
- Type
string
.spec.hooks.resources[].labelSelector
- Description
- LabelSelector, if specified, filters the resources to which this hook spec applies.
- Type
object
.spec.hooks.resources[].labelSelector.matchExpressions
- Description
- matchExpressions is a list of label selector requirements. The requirements are ANDed.
- Type
array
.spec.hooks.resources[].labelSelector.matchExpressions[]
- Description
- A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
- Type
object- Required
keyoperator
.spec.hooks.resources[].labelSelector.matchExpressions[].values
- Description
- values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
- Type
array
.spec.hooks.resources[].labelSelector.matchExpressions[].values[]
- Type
string
.spec.hooks.resources[].labelSelector.matchLabels
- Description
- matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
- Type
object
.spec.hooks.resources[].postHooks
- Description
- PostHooks is a list of RestoreResourceHooks to execute during and after restoring a resource.
- Type
array
.spec.hooks.resources[].postHooks[]
- Description
- RestoreResourceHook defines a restore hook for a resource.
- Type
object
.spec.hooks.resources[].postHooks[].exec
- Description
- Exec defines an exec restore hook.
- Type
object- Required
command
.spec.hooks.resources[].postHooks[].exec.command
- Description
- Command is the command and arguments to execute from within a container after a pod has been restored.
- Type
array
.spec.hooks.resources[].postHooks[].exec.command[]
- Type
string
.spec.hooks.resources[].postHooks[].init
- Description
- Init defines an init restore hook.
- Type
object
.spec.hooks.resources[].postHooks[].init.initContainers
- Description
- InitContainers is list of init containers to be added to a pod during its restore.
- Type
array
.spec.hooks.resources[].postHooks[].init.initContainers[]
- Type
object
.spec.includedNamespaces
- Description
- IncludedNamespaces is a slice of namespace names to include objects from. If empty, all namespaces are included.
- Type
array
.spec.includedNamespaces[]
- Type
string
.spec.includedResources
- Description
- IncludedResources is a slice of resource names to include in the restore. If empty, all resources in the backup are included.
- Type
array
.spec.includedResources[]
- Type
string
.spec.labelSelector
- Description
- LabelSelector is a metav1.LabelSelector to filter with when restoring individual objects from the backup. If empty or nil, all objects are included. Optional.
- Type
object
.spec.labelSelector.matchExpressions
- Description
- matchExpressions is a list of label selector requirements. The requirements are ANDed.
- Type
array
.spec.labelSelector.matchExpressions[]
- Description
- A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
- Type
object- Required
keyoperator
.spec.labelSelector.matchExpressions[].values
- Description
- values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
- Type
array
.spec.labelSelector.matchExpressions[].values[]
- Type
string
.spec.labelSelector.matchLabels
- Description
- matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
- Type
object
.spec.namespaceMapping
- Description
- NamespaceMapping is a map of source namespace names to target namespace names to restore into. Any source namespaces not included in the map will be restored into namespaces of the same name.
- Type
object
.spec.orLabelSelectors
- Description
- OrLabelSelectors is list of metav1.LabelSelector to filter with when restoring individual objects from the backup. If multiple provided they will be joined by the OR operator. LabelSelector as well as OrLabelSelectors cannot co-exist in restore request, only one of them can be used
- Type
array
.spec.orLabelSelectors[]
- Description
- A label selector is a label query over a set of resources. The result of matchLabels and matchExpressions are ANDed. An empty label selector matches all objects. A null label selector matches no objects.
- Type
object
.spec.orLabelSelectors[].matchExpressions
- Description
- matchExpressions is a list of label selector requirements. The requirements are ANDed.
- Type
array
.spec.orLabelSelectors[].matchExpressions[]
- Description
- A label selector requirement is a selector that contains values, a key, and an operator that relates the key and values.
- Type
object- Required
keyoperator
.spec.orLabelSelectors[].matchExpressions[].values
- Description
- values is an array of string values. If the operator is In or NotIn, the values array must be non-empty. If the operator is Exists or DoesNotExist, the values array must be empty. This array is replaced during a strategic merge patch.
- Type
array
.spec.orLabelSelectors[].matchExpressions[].values[]
- Type
string
.spec.orLabelSelectors[].matchLabels
- Description
- matchLabels is a map of {key,value} pairs. A single {key,value} in the matchLabels map is equivalent to an element of matchExpressions, whose key field is "key", the operator is "In", and the values array contains only "value". The requirements are ANDed.
- Type
object
.spec.resourceModifier
- Description
- ResourceModifier specifies the reference to JSON resource patches that should be applied to resources before restoration.
- Type
object- Required
kindname
.spec.restoreStatus
- Description
- RestoreStatus specifies which resources we should restore the status field. If nil, no objects are included. Optional.
- Type
object
.spec.restoreStatus.excludedResources
- Description
- ExcludedResources specifies the resources to which will not restore the status.
- Type
array
.spec.restoreStatus.excludedResources[]
- Type
string
.spec.restoreStatus.includedResources
- Description
- IncludedResources specifies the resources to which will restore the status. If empty, it applies to all resources.
- Type
array
.spec.restoreStatus.includedResources[]
- Type
string
.spec.uploaderConfig
- Description
- UploaderConfig specifies the configuration for the restore.
- Type
object
.status
- Description
- RestoreStatus captures the current status of a Velero restore
- Type
object
.status.hookStatus
- Description
- HookStatus contains information about the status of the hooks.
- Type
object
.status.progress
- Description
- Progress contains information about the restore's execution progress. Note that this information is best-effort only -- if Velero fails to update it during a restore for any reason, it may be inaccurate/stale.
- Type
object
.status.validationErrors
- Description
- ValidationErrors is a slice of all validation errors (if applicable)
- Type
array
.status.validationErrors[]
- Type
string
API Endpoints
The following API endpoints are available:
/apis/velero.io/v1/namespaces/{namespace}/restoresDELETE: delete collection of RestoreGET: list objects of kind RestorePOST: create a new Restore
/apis/velero.io/v1/namespaces/{namespace}/restores/{name}DELETE: delete the specified RestoreGET: read the specified RestorePATCH: partially update the specified RestorePUT: replace the specified Restore
/apis/velero.io/v1/namespaces/{namespace}/restores/{name}/statusGET: read status of the specified RestorePATCH: partially update status of the specified RestorePUT: replace status of the specified Restore
/apis/velero.io/v1/namespaces/{namespace}/restores
- HTTP method
DELETE- Description
- delete collection of Restore
- HTTP responses
- HTTP method
GET- Description
- list objects of kind Restore
- HTTP responses
- HTTP method
POST- Description
- create a new Restore
- Query parameters
- Body parameters
- HTTP responses
/apis/velero.io/v1/namespaces/{namespace}/restores/{name}
- HTTP method
DELETE- Description
- delete the specified Restore
- Query parameters
- HTTP responses
- HTTP method
GET- Description
- read the specified Restore
- HTTP responses
- HTTP method
PATCH- Description
- partially update the specified Restore
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace the specified Restore
- Query parameters
- Body parameters
- HTTP responses
/apis/velero.io/v1/namespaces/{namespace}/restores/{name}/status
- HTTP method
GET- Description
- read status of the specified Restore
- HTTP responses
- HTTP method
PATCH- Description
- partially update status of the specified Restore
- Query parameters
- HTTP responses
- HTTP method
PUT- Description
- replace status of the specified Restore
- Query parameters
- Body parameters
- HTTP responses